API reference

GET /api/v1/images

Source images available for transformation.

Parameters

ParameterTypeRequiredDescription
limitintegernoMaximum number of items to return.

Response

Content-Type application/json. Cache-Control public, max-age=60.

{
  "object": "list",
  "data": [
    {
      "id": "med_duqwmdwqy9lugf",
      "created_at": "2024-09-18T14:49:15Z",
      "content_type": "image/jpeg",
      "bytes": 8197047,
      "width": 2560,
      "height": 1440,
      "status": "ready"
    },
    {
      "id": "med_jlfzthlna7medm",
      "created_at": "2024-06-08T17:59:39Z",
      "content_type": "image/jpeg",
      "bytes": 3606217,
      "width": 1024,
      "height": 360,
      "status": "ready"
    }
  ],
  "pagination": {
    "limit": 25,
    "count": 2,
    "has_more": false
  }
}

Example

curl -s https://smm.brightquill.org/api/v1/images